# Command: CreateBank

CreateBank (size) Definition:

Create a data bank.

Parameter Description:

size = size of memory bank in bytes

Command Description:

The bank commands allow you to make your own memory bank to perform your own read and write operations to. This is useful for compression/decompression, level data, and tons of other uses. This command allocates the memory and creates a handle to the bank.

Example:

; Bank Commands Example bnkTest=CreateBank(500) For t = 1 To 50 PokeByte bnkTest,t,Rnd(255) PokeInt bnkTest,t+1,Rnd(10000) PokeShort bnkTest,t+2,Rnd(10000) PokeFloat bnkTest,t+3,Rnd(-.999,.999) Next For t = 1 To 50 Print PeekByte (bnkTest,t) Print PeekInt (bnkTest,t+1) Print PeekShort (bnkTest,t+2) Print PeekFloat (bnkTest,t+3) Next Freebank bnkTest

Index